<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output
   encoding="ISO-8859-1"
   indent="yes"
   method="xml"
/>

<xsl:template match="text()"/>

<xsl:template match="folder">
   <xsl:choose>
      <xsl:when test="not (@solutionSegmentType)">
         <xsl:element name="folder">
            <xsl:attribute name="ID">
               <xsl:value-of select="@ID" />
            </xsl:attribute>
            <title><xsl:value-of select="./title" /></title>
            <xsl:apply-templates select="./folder"/>
            <xsl:apply-templates select="./folder[@solutionSegmentType='industry-segment']/referencemap"/>
            <xsl:apply-templates select="./referencemap"/>
         </xsl:element>
      </xsl:when>
      <xsl:when test="not (@solutionSegmentType) or not(@solutionSegmentType='industry-segment')">
         <xsl:element name="folder">
            <xsl:attribute name="ID">
               <xsl:value-of select="@ID" />
            </xsl:attribute>
            <title><xsl:value-of select="./title" /></title>
            <xsl:apply-templates select="./folder"/>
            <xsl:apply-templates select="./referencemap"/>
            <xsl:apply-templates select="./folder[@solutionSegmentType='industry-segment']/referencemap"/>
         </xsl:element>
      </xsl:when>
   </xsl:choose>
</xsl:template>

<xsl:template match="referencemap">
   <xsl:choose>
      <xsl:when test="@icon='solutionmap.gif'">
         <xsl:element name="referencemap">
            <xsl:attribute name="ID">
               <xsl:value-of select="@ID" />
            </xsl:attribute>
            <xsl:attribute name="Ref">
               <xsl:value-of select="@Ref" />
            </xsl:attribute>
            <xsl:attribute name="Title">
               <xsl:value-of select="@Title" />
            </xsl:attribute>
         </xsl:element>
      </xsl:when>
   </xsl:choose>
</xsl:template>

</xsl:stylesheet>