USE master
GO

CREATE DATABASE [$(database)] ON  PRIMARY 
( NAME = N'$(fgprim)', FILENAME = N'$(fgprimfile)' , SIZE = 10240KB , FILEGROWTH = 10240KB ), 
 FILEGROUP [$(fgdata)] 
( NAME = N'$(fgdata)', FILENAME = N'$(fgdatafile)' , SIZE = 102400KB , FILEGROWTH = 102400KB ), 
 FILEGROUP [$(fgindex)] 
( NAME = N'$(fgindex)', FILENAME = N'$(fgindexfile)' , SIZE = 102400KB , FILEGROWTH = 102400KB )
 LOG ON 
( NAME = N'$(fglog)', FILENAME = N'$(fglogfile)' , SIZE = 10240KB , FILEGROWTH = 10240KB )
 COLLATE Latin1_General_CI_AI
GO
EXEC dbo.sp_dbcmptlevel @dbname=N'$(database)', @new_cmptlevel=90
GO
BEGIN TRY
    EXEC [$(database)].[dbo].[sp_fulltext_database] @action = 'disable'
END TRY
BEGIN CATCH
END CATCH    
GO
ALTER DATABASE [$(database)] SET ANSI_NULL_DEFAULT OFF 
GO
ALTER DATABASE [$(database)] SET ANSI_NULLS OFF 
GO
ALTER DATABASE [$(database)] SET ANSI_PADDING OFF 
GO
ALTER DATABASE [$(database)] SET ANSI_WARNINGS OFF 
GO
ALTER DATABASE [$(database)] SET ARITHABORT OFF 
GO
ALTER DATABASE [$(database)] SET AUTO_CLOSE OFF 
GO
ALTER DATABASE [$(database)] SET AUTO_CREATE_STATISTICS ON 
GO
ALTER DATABASE [$(database)] SET AUTO_SHRINK OFF 
GO
ALTER DATABASE [$(database)] SET AUTO_UPDATE_STATISTICS ON 
GO
ALTER DATABASE [$(database)] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO
ALTER DATABASE [$(database)] SET CURSOR_DEFAULT  GLOBAL 
GO
ALTER DATABASE [$(database)] SET CONCAT_NULL_YIELDS_NULL OFF 
GO
ALTER DATABASE [$(database)] SET NUMERIC_ROUNDABORT OFF 
GO
ALTER DATABASE [$(database)] SET QUOTED_IDENTIFIER OFF 
GO
ALTER DATABASE [$(database)] SET RECURSIVE_TRIGGERS ON 
GO
ALTER DATABASE [$(database)] SET RECOVERY FULL 
GO
ALTER DATABASE [$(database)] SET  MULTI_USER 
GO
ALTER DATABASE [$(database)] SET PAGE_VERIFY CHECKSUM  
GO
ALTER DATABASE [$(database)] SET ALLOW_SNAPSHOT_ISOLATION ON
GO
