@ECHO OFF

SETLOCAL

REM
REM You may edit this section for customizing purposes.
REM

REM If you use named instances then append a "\" and the name of your instance
SET MSSQL_IDS_MSSQL_SERVER_NAME=${SERVER-NAME}

REM The login name
SET MSSQL_IDS_MSSQL_LOGIN_NAME=${LOGIN-NAME}

SET MSSQL_IDS_DATABASE_NAME=${DATABASE-NAME}

SET MSSQL_IDS_FILEGROUP_DATA=%MSSQL_IDS_DATABASE_NAME%DATA
SET MSSQL_IDS_FILEGROUP_INDEX=%MSSQL_IDS_DATABASE_NAME%INDEX

SET MSSQL_IDS_APP_USER=${APP-USER}
SET MSSQL_IDS_APP_PWD=${APP-PWD}
SET MSSQL_IDS_APP_ADMIN_SCHEMA=${ADMIN-SCHEMA}


REM
REM The remainder of this script is not indended to get customized.
REM

SET MSSQL_IDS_INSTALL_GOAL=%1

:goal

SET MSSQL_IDS_PARAMS= -b -m 1
SET MSSQL_IDS_PARAMS=%MSSQL_IDS_PARAMS% -S %MSSQL_IDS_MSSQL_SERVER_NAME%
SET MSSQL_IDS_PARAMS=%MSSQL_IDS_PARAMS% -v database = %MSSQL_IDS_DATABASE_NAME%
SET MSSQL_IDS_PARAMS=%MSSQL_IDS_PARAMS% -v fgdata = %MSSQL_IDS_FILEGROUP_DATA%
SET MSSQL_IDS_PARAMS=%MSSQL_IDS_PARAMS% -v fgindex = %MSSQL_IDS_FILEGROUP_INDEX%
SET MSSQL_IDS_PARAMS=%MSSQL_IDS_PARAMS% -v username = %MSSQL_IDS_APP_USER%
SET MSSQL_IDS_PARAMS=%MSSQL_IDS_PARAMS% -v password = %MSSQL_IDS_APP_PWD%
SET MSSQL_IDS_PARAMS=%MSSQL_IDS_PARAMS% -v adminschema = %MSSQL_IDS_APP_ADMIN_SCHEMA%

SET MSSQL_IDS_PARAMS=%MSSQL_IDS_PARAMS% -v servername = %MSSQL_IDS_MSSQL_SERVER_NAME%
SET MSSQL_IDS_PARAMS=%MSSQL_IDS_PARAMS% -v loginname = %MSSQL_IDS_MSSQL_LOGIN_NAME%


:install
ECHO Updating...

FOR %%f in (schema_*.sql) DO sqlcmd %MSSQL_IDS_PARAMS% -i %%f
IF errorlevel 1 GOTO installerror
ECHO UPDATE SUCCESSFUL
GOTO end

:installerror
ECHO UPDATE FAILED
GOTO end

:end
