set verify off

--
-- drop schema dlapp_user
--
DECLARE
  dlapp_user  VARCHAR2(100) := '&2';
  CURSOR uc IS SELECT username FROM dba_users WHERE username = upper(dlapp_user);
BEGIN
  FOR ur IN uc
  LOOP
    EXECUTE IMMEDIATE 'DROP USER ' || ur.username || ' CASCADE';
  END LOOP; 
END;
/

--
-- drop schema dladm_schema
--
DECLARE
  dladm_schema  VARCHAR2(100) := '&1';
  CURSOR uc IS SELECT username FROM dba_users WHERE username = upper(dladm_schema);
BEGIN
  FOR ur IN uc
  LOOP
    EXECUTE IMMEDIATE 'DROP USER ' || ur.username || ' CASCADE';
  END LOOP; 
END;
/

EXIT
