<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    
    <xsl:variable name="COMMON_FOR_PORTAL.LANGUAGE.DEFAULT" select="''" />
    <xsl:variable name="COMMON_FOR_PORTAL.LANGUAGE.DE" select="'de'" />
    <xsl:variable name="COMMON_FOR_PORTAL.LANGUAGE.EN" select="'en'" />
    <xsl:variable name="COMMON_FOR_PORTAL.LANGUAGE.FR" select="'fr'" />
    <xsl:variable name="COMMON_FOR_PORTAL.LANGUAGE.JA" select="'ja'" />
    <xsl:variable name="COMMON_FOR_PORTAL.LANGUAGE.ES" select="'es'" />
    
    
    <xsl:variable name="COMMON_FOR_PORTAL.GROUP.TITLE" select="'com.sap.portal.pcm.Title'" />
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.TITLE" select="'com.sap.portal.pcm.Title'" />
    
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.MERGE_ID" select="'com.sap.portal.navigation.MergeId'" />
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.SYSTEM" select="'System'" />
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.APPLICATION_PARAMETER" select="'ApplicationParameter'" />
    
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.IAC" select="'IAC'" />
    
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.TCODE" select="'TCode'" />
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.GUI_TYPE" select="'GuiType'" />
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.GUI_TYPE.WIN" select="'WinGui'" />
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.GUI_TYPE.JAVA" select="'JavaGui'" />
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.GUI_TYPE.WEB" select="'WebGUI'" />
    
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.NAMESPACE" select="'Namespace'" />
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.CUSTOMER_NAMESPACE" select="'CustomerNamespace'" />
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.DEFINITION_TYPE" select="'DefinitionType'" />
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.PAGE_ID" select="'PageId'" />
    
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.DEFINITION_TYPE.BSP" select="'BSP'" />
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.DEFINITION_TYPE.BSP_ALIAS" select="'BSPAlias'" />
    
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.WEB_DYNPRO_DEFINITION_TYPE" select="'DefinitionType'" />
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.WEB_DYNPRO_APPLICATION" select="'WebDynproApplication'" />
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.WEB_DYNPRO_NAMESPACE" select="'WebDynproNamespace'" />
    
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.WEB_DYNPRO_DEFINITION_TYPE.ABAP" select="'ABAP'" />
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.WEB_DYNPRO_DEFINITION_TYPE.JAVA" select="'Java'" />
    
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.URL" select="'url'" />
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.URL_PARAM" select="'com.sap.portal.reserved.iview.ParamList'" />
    
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.ENTRY_POINT" select="'com.sap.portal.pcd.role.EntryPoint'" />
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.INVISBLE_IN_NAVIGATION" select="'com.sapportals.portal.navigation.Invisible'" />
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.NAVIGATION_PANEL_STATUS" select="'com.sap.portal.reserved.iview.NavPanelStatus'" />
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.SHOW_TYPE" select="'com.sap.portal.navigation.ShowType'" />
    
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.NAVIGATION_PANEL_STATUS.AUTOMATIC" select="'Automatic'" />
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.NAVIGATION_PANEL_STATUS.OPEN" select="'Open'" />
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.NAVIGATION_PANEL_STATUS.CLOSE" select="'Close'" />
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.NAVIGATION_PANEL_STATUS.ALWAYS_CLOSE" select="'Always Close'" />
    
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.SHOW_TYPE.IN_PORTAL_CONTENT_AREA" select="'0'" />
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.SHOW_TYPE.IN_OWN_WINDOW" select="'1'" />
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.SHOW_TYPE.IN_NEW_PORTAL_WINDOW" select="'2'" />
    <xsl:variable name="COMMON_FOR_PORTAL.CONTENT.SHOW_TYPE.IN_NEW_PORTAL_WINDOW_WO_HEAD" select="'3'" />
    
</xsl:stylesheet>
