set verify off

--
-- add catalog_version column to dblist table
--
DECLARE
    dladm_schema VARCHAR2(100) := '&1';
    cnt pls_integer;
BEGIN

    SELECT COUNT(*) INTO cnt FROM DBA_TAB_COLUMNS WHERE OWNER = '&1' AND TABLE_NAME = 'DBLIST' AND COLUMN_NAME = 'CATALOG_VERSION';

    IF cnt = 0 THEN
        EXECUTE IMMEDIATE 'ALTER TABLE ' || dladm_schema || '.dblist ADD (catalog_version NUMBER(10))';
        
        EXECUTE IMMEDIATE 'UPDATE ' || dladm_schema || '.dblist SET catalog_version = 0';
        
        COMMIT WORK;       
    END IF;
END;
/

EXIT
