set verify off

--
-- create user dlapp_user
--
DECLARE
    dlapp_user VARCHAR2(100) := '&1';
    dlapp_pwd  VARCHAR2(100) := '&2';
    dlapp_default_ts   VARCHAR2(100) := '&3';
    dlapp_temp_ts   VARCHAR2(100) := '&4';
BEGIN
    /* This is the one and only Oracle user the ARIS Business Server connects to. */
    /* This user has no own data, but has access to the dladm_schema schema. */
    EXECUTE IMMEDIATE 'CREATE USER ' || dlapp_user || ' IDENTIFIED BY "' || dlapp_pwd || '"' ||
        ' DEFAULT TABLESPACE ' || dlapp_default_ts ||
        ' TEMPORARY TABLESPACE ' || dlapp_temp_ts;

    /* CREATE SESSION privilege because it is the user that ARIS connects to */
    EXECUTE IMMEDIATE 'GRANT CREATE SESSION TO ' || dlapp_user;

END;
/

EXIT

